task access {
    File ref_dir
    String fasta
    String docker
	String cluster_config
	String disk_size

    command <<<
		cnvkit.py access ${ref_dir}/${fasta} -o access-5kb-mappable.hg38.bed
    >>>
   
    runtime {
		docker: docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
    }

    output {
        File access_bed = "access-5kb-mappable.hg38.bed"
    }
}
