task export{
    Array[File] result
    String docker
    String cluster_config
    String disk_size

    command <<<
		mkdir -p /cromwell_root/tmp/cnvkit_export
		cp -r ${sep=" " result} /cromwell_root/tmp/cnvkit_export
		cd /cromwell_root/tmp/cnvkit_export
		# this version app just provides seg
		cnvkit.py export seg ./results/*.cns -o samples.seg
    >>>
   
    runtime { 
		docker: docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
    }

    output {
        File seg = "samples.seg"
    }
}